| Home | Libraries | People | FAQ | More

##### websocket::teardown (1 of 2 overloads)

Tear down a connection.

###### Synopsis

Defined in header `<boost/beast/websocket/teardown.hpp>`

    template<
        class Socket>
    void
    teardown(
        role_type role,
        Socket& socket,
        error_code& ec);

###### Description

This tears down a connection. The implementation will call the overload of this function based on the `Socket` parameter used to consruct the socket. When `Socket` is a user defined type, and not a `net::ip::tcp::socket` or any `net::ssl::stream`, callers are responsible for providing a suitable overload of this function.

###### Parameters

Name | Description
--- | ---
`role` | The role of the local endpoint
`socket` | The socket to tear down.
`ec` | Set to the error if any occurred.

Convenience header `<boost/beast/websocket.hpp>`